#ifndef RAY_COMMON_H
#define RAY_COMMON_H

#include "../common/structs.h"

void generate_subs(void);

void set_color_object(int x, int y, color c, int obj);
vector* get_proj_ray(int x, int y, vector* v);
void calc_ray(int x, int y);


#endif
